<?php

namespace App\Filament\Resources\StudentLifeEventsResource\Pages;

use App\Filament\Resources\StudentLifeEventsResource;
use Filament\Resources\Pages\ListRecords;
use Filament\Actions;
use Illuminate\Support\Facades\Gate;
class ListStudentLifeEvents extends ListRecords
{
    protected static string $resource = StudentLifeEventsResource::class;

    protected function getHeaderActions(): array
    {
        return [
            Actions\CreateAction::make()
                ->label('Add New Student Life Event')
                ->visible(fn () => Gate::allows('create studentlifeevent')),
        ];
    }
}